Ruby - Misc #12937

[PATCH] webrick/server: simplify Daemon.start
11/14/2016 09:00 PM - normalperson (Eric Wong)

Status: Closed

Priority: Normal

Assignee: normalperson (Eric Wong)
Description

Process.daemon exists since Ruby 1.9.1 and does most of what we need.
e lib/webrick/server.rb (Daemon.start): simplify

Just a cleanup patch, will commit in a few days/weeks.

Associated revisions

Revision 3dd924212f0aa5bd3ea3297140e35d7dc6ac5ee2 - 11/22/2016 12:16 AM - Eric Wong

webrick/server: simplify Daemon.start
Process.daemon exists since Ruby 1.9.1 and does most of what we need.

e |ib/webrick/server.rb (Daemon.start): simplify
[Misc #12937]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56869 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Revision 3dd92421 - 11/22/2016 12:16 AM - Eric Wong

webrick/server: simplify Daemon.start

Process.daemon exists since Ruby 1.9.1 and does most of what we need.

e lib/webrick/server.rb (Daemon.start): simplify
[Misc #12937]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@56869 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 09/18/2017 12:04 PM - hsbt (Hiroshi SHIBATA)
- Status changed from Open to Closed

#2 - 09/18/2017 12:04 PM - hsbt (Hiroshi SHIBATA)

- Assignee set to normalperson (Eric Wong)

Files

0001-webrick-server-simplify-Daemon.start.patch 947 Bytes 11/14/2016

06/08/2025

normalperson (Eric Wong)

1/1



http://www.tcpdf.org

